Last Comment Bug 338896 - isXPCOMJavaProxy throws NullPointerException
: isXPCOMJavaProxy throws NullPointerException
Status: RESOLVED FIXED
: fixed1.8.0.5, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: Java to XPCOM Bridge (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: jhp (no longer active)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-22 15:29 PDT by jhp (no longer active)
Modified: 2014-09-24 05:43 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (929 bytes, patch)
2006-05-22 15:32 PDT, jhp (no longer active)
apeller: review+
jhpedemonte: approval‑branch‑1.8.1+
dveditz: approval1.8.0.5+
Details | Diff | Splinter Review

Description jhp (no longer active) 2006-05-22 15:29:44 PDT
If XPCOMJavaProxy.isXPCOMJavaProxy() is passed a null reference, than it will throw a NullPointerException.  Need to check for null ref and return false.
Comment 1 jhp (no longer active) 2006-05-22 15:32:13 PDT
Created attachment 222957 [details] [diff] [review]
patch
Comment 2 jhp (no longer active) 2006-05-25 12:57:57 PDT
Adam, you probably don't have permissions to set the review flags on a patch, but if you could take a look and give me your blessing (or not), I would appreciate that.
Comment 3 jhp (no longer active) 2006-05-30 09:22:26 PDT
Checked in to trunk and 1.8 branch. ->FIXED

Also asking for 1.8.0.5 approval.  This is a very minor, low-risk path to add a null check.
Comment 4 jhp (no longer active) 2006-05-30 10:11:00 PDT
Re: approval1.8.0.5? : this patch is JavaXPCOM/XULRunner only and will not affect Firefox/Thunderbird.
Comment 5 Daniel Veditz [:dveditz] 2006-06-14 14:51:57 PDT
Comment on attachment 222957 [details] [diff] [review]
patch

approved for 1.8.0 branch, a=dveditz for drivers

Note You need to log in before you can comment on or make changes to this bug.